Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 717633 - USB3.0 harddisk not working with xhci_hcd module
USB3.0 harddisk not working with xhci_hcd module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 08:40 EDT by Olivier Andrieu
Modified: 2013-01-18 21:39 EST (History)
8 users (show)

See Also:
Fixed In Version: kernel-3.1.5-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-12 16:57:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel log output (8.74 KB, text/plain)
2011-06-29 08:40 EDT, Olivier Andrieu
no flags Details
lsusb -v output (21.06 KB, text/plain)
2011-11-29 19:44 EST, Olivier Andrieu
no flags Details
lspci output (2.63 KB, text/plain)
2011-12-08 10:46 EST, Olivier Andrieu
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 885850 None None None Never

  None (edit)
Description Olivier Andrieu 2011-06-29 08:40:29 EDT
Created attachment 510452 [details]
kernel log output

Description of problem:
I have a PCIex card with USB3.0 ports. xhci_hcd module now reports errors when I connect an USB3.0 harddisk.


Version-Release number of selected component (if applicable):
kernel-2.6.38.8-32.fc15.x86_64

How reproducible:
always
  
Actual results:
I get this in the message log (full relevant log in attachement)

  xhci_hcd 0000:04:00.0: WARN: babble error on endpoint
  xhci_hcd 0000:04:00.0: WARN Set TR Deq Ptr cmd invalid because of stream ID configuration
  xhci_hcd 0000:04:00.0: ERROR Transfer event for disabled endpoint or incorrect stream ring

Additional info:
It used to work in Fedora 14 !
Comment 1 Chuck Ebbert 2011-06-30 04:25:57 EDT
(In reply to comment #1)
> Created attachment 510452 [details]
> kernel log output
> 
> Description of problem:
> I have a PCIex card with USB3.0 ports. xhci_hcd module now reports errors when
> I connect an USB3.0 harddisk.
> 

What kind of card is it? Please post the output of "lspci -nn".
Comment 2 Olivier Andrieu 2011-06-30 05:06:37 EDT
It's a PCIex4 card, with USB3 and SATA controllers :

04:00.0 USB Controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 03) (prog-if 30)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8413]
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at fdcfe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [50] Power Management version 3
	Capabilities: [70] MSI: Enable- Count=1/8 Maskable- 64bit+
	Capabilities: [90] MSI-X: Enable+ Count=8 Masked-
	Capabilities: [a0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number ff-ff-ff-ff-ff-ff-ff-ff
	Capabilities: [150] #18
	Kernel driver in use: xhci_hcd
	Kernel modules: xhci-hcd
05:00.0 SATA controller [0106]: Marvell Technology Group Ltd. Device [1b4b:9120] (rev 12)
Comment 3 Tore H. Larsen 2011-07-30 09:12:30 EDT
cc. Worked somewhat on F14. Bug # 652792. Doesn't work at all on F15.
Comment 4 Tore H. Larsen 2011-07-30 09:20:14 EDT
HW: Lenovo W510 laptop. Tried kernel parameter xhci_hcd.enable=1. 

# modprobe xhci_hcd
FATAL: Error inserting xhci_hcd (/lib/modules/2.6.38.8-35.fc15.x86_64/kernel/drivers/usb/host/xhci-hcd.ko): Unknown symbol in module, or unknown parameter (see dmesg)

# cat /etc/pm/config.d/xhci_hcd 
SUSPEND_MODULES="xhci_hcd"
# cat /etc/pm/config.d/xhci
SUSPEND_MODULES="xhci"

dmesg:
[ 4753.122650] xhci_hcd: Unknown parameter `enable'

Suggestions?
Comment 5 bugzilla-rh 2011-09-27 17:41:57 EDT
(In reply to comment #4)
> HW: Lenovo W510 laptop. Tried kernel parameter xhci_hcd.enable=1. 

Same thing, same error, under F15, kernel 2.6.40.4-5.fc15.x86_64

lspci -nn
------------------------------------------
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DMI [8086:d132] (rev 11)
00:03.0 PCI bridge [0604]: Intel Corporation Core Processor PCI Express Root Port 1 [8086:d138] (rev 11)
00:08.0 System peripheral [0880]: Intel Corporation Core Processor System Management Registers [8086:d155] (rev 11)
00:08.1 System peripheral [0880]: Intel Corporation Core Processor Semaphore and Scratchpad Registers [8086:d156] (rev 11)
00:08.2 System peripheral [0880]: Intel Corporation Core Processor System Control and Status Registers [8086:d157] (rev 11)
00:08.3 System peripheral [0880]: Intel Corporation Core Processor Miscellaneous Registers [8086:d158] (rev 11)
00:10.0 System peripheral [0880]: Intel Corporation Core Processor QPI Link [8086:d150] (rev 11)
00:10.1 System peripheral [0880]: Intel Corporation Core Processor QPI Routing and Protocol Registers [8086:d151] (rev 11)
00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
00:16.3 Serial controller [0700]: Intel Corporation 5 Series/3400 Series Chipset KT Controller [8086:3b67] (rev 06)
00:19.0 Ethernet controller [0200]: Intel Corporation 82577LM Gigabit Network Connection [8086:10ea] (rev 06)
00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 06)
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 06)
00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 06)
00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 06)
00:1c.3 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 [8086:3b48] (rev 06)
00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 [8086:3b4a] (rev 06)
00:1c.6 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 7 [8086:3b4e] (rev 06)
00:1c.7 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 8 [8086:3b50] (rev 06)
00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 06)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a6)
00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller [8086:3b07] (rev 06)
00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller [8086:3b2f] (rev 06)
00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 06)
01:00.0 VGA compatible controller [0300]: nVidia Corporation GT216 [Quadro FX 880M] [10de:0a3c] (rev a2)
01:00.1 Audio device [0403]: nVidia Corporation High Definition Audio Controller [10de:0be2] (rev a1)
03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N + WiMAX 6250 [8086:0089] (rev 5e)
0d:00.0 SD Host controller [0805]: Ricoh Co Ltd MMC/SD Host Controller [1180:e822] (rev 01)
0d:00.1 System peripheral [0880]: Ricoh Co Ltd Memory Stick Host Controller [1180:e230] (rev 01)
0f:00.0 USB Controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 03)
17:00.0 SD Host controller [0805]: Ricoh Co Ltd MMC/SD Host Controller [1180:e822] (rev 01)
17:00.3 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd FireWire Host Controller [1180:e832] (rev 01)
ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-Core Registers [8086:2c52] (rev 04)
ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2c81] (rev 04)
ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2c90] (rev 04)
ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2c91] (rev 04)
ff:03.0 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller [8086:2c98] (rev 04)
ff:03.1 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Target Address Decoder [8086:2c99] (rev 04)
ff:03.4 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Test Registers [8086:2c9c] (rev 04)
ff:04.0 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Control Registers [8086:2ca0] (rev 04)
ff:04.1 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Address Registers [8086:2ca1] (rev 04)
ff:04.2 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Rank Registers [8086:2ca2] (rev 04)
ff:04.3 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Thermal Control Registers [8086:2ca3] (rev 04)
ff:05.0 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Control Registers [8086:2ca8] (rev 04)
ff:05.1 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Address Registers [8086:2ca9] (rev 04)
ff:05.2 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Rank Registers [8086:2caa] (rev 04)
ff:05.3 Host bridge [0600]: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Thermal Control Registers [8086:2cab] (rev 04)
------------------------------------------

[root@datil config.d]# modprobe xhci-hcd
WARNING: All config files need .conf: /etc/modprobe.d/RCS, it will be ignored in a future release.
FATAL: Error inserting xhci_hcd (/lib/modules/2.6.40.4-5.fc15.x86_64/kernel/drivers/usb/host/xhci-hcd.ko): Unknown symbol in module, or unknown parameter (see dmesg)
[root@datil config.d]# dmesg | tail -1
[158479.696534] xhci_hcd: Unknown parameter `enable'
Comment 6 Olivier Andrieu 2011-11-25 07:51:30 EST
(In reply to comment #4)
> HW: Lenovo W510 laptop. Tried kernel parameter xhci_hcd.enable=1. 
> 
> dmesg:
> [ 4753.122650] xhci_hcd: Unknown parameter `enable'
> 
> Suggestions?

The 'enable' parameter was a temporary thing for F14, it is not present in F15 kernels.
Comment 7 Olivier Andrieu 2011-11-25 07:58:27 EST
Bug still present on F16 kernel-3.1.1-2.fc16.x86_64.

I found a workaround, create a /etc/modprobe.d/blacklist-usb3.conf file with
  blacklist uas
Comment 8 Chuck Ebbert 2011-11-28 21:09:36 EST
(In reply to comment #7)
> Bug still present on F16 kernel-3.1.1-2.fc16.x86_64.
> 
> I found a workaround, create a /etc/modprobe.d/blacklist-usb3.conf file with
>   blacklist uas

Huh. Can you attach the output of the command "lsusb -v" with that plugged in? (You will have to run that as root to get all the information.)
Comment 9 Olivier Andrieu 2011-11-29 19:44:46 EST
Created attachment 538331 [details]
lsusb -v output

Sure, here's the lsusb output.

One thing about the device: it originally came with an automounted "virtual CD" partition providing some (Windows-only) encryption software.
I used said software to permanently remove this partition; this may be what's troubling the linux driver.
Comment 10 Chuck Ebbert 2011-12-06 15:57:20 EST
Can we get the output of "lspci -vvv" for the USB3 controller(s) causing the problem? Run that as root and just post the output for the USB3 controller. You will have to run it as root to get all the data.
Comment 11 Chuck Ebbert 2011-12-06 15:58:28 EST
I've disabled the uas driver for the next kernel build (both F15 and F16.)
Comment 12 Olivier Andrieu 2011-12-08 10:46:37 EST
Created attachment 542613 [details]
lspci output
Comment 13 Fedora Update System 2011-12-09 15:23:19 EST
kernel-3.1.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.5-1.fc16
Comment 14 Fedora Update System 2011-12-10 14:33:40 EST
Package kernel-3.1.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.5-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16840/kernel-3.1.5-1.fc16
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2011-12-12 07:20:22 EST
kernel-2.6.41.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.5-1.fc15
Comment 16 Fedora Update System 2011-12-12 16:57:11 EST
kernel-3.1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2011-12-15 13:54:02 EST
kernel-2.6.41.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.5-4.fc15
Comment 18 Fedora Update System 2011-12-21 20:17:47 EST
kernel-2.6.41.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.6-1.fc15

Note You need to log in before you can comment on or make changes to this bug.